summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMorgan Richomme <morgan.richomme@orange.com>2016-08-12 08:45:23 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2016-08-12 08:45:23 +0000
commitf7359db4935314adff03cc2f5990a8eb4b00349a (patch)
treefdc4de66c1a6a9d99c00d8b2b335342d5c48bb46
parent9b65d329b6a4b47537ba8b13a777708b5caae7c6 (diff)
parent9df7f6fa368d673887c3d583320ca9a5a1458c3d (diff)
Merge "Improve LXD scenario support"
-rw-r--r--ci/config_functest.yaml1
-rw-r--r--ci/config_patch.yaml1
-rw-r--r--ci/testcases.yaml2
-rwxr-xr-xtestcases/OpenStack/healthcheck/healthcheck.sh5
4 files changed, 6 insertions, 3 deletions
diff --git a/ci/config_functest.yaml b/ci/config_functest.yaml
index 8e45b1d27..afa6ff1f6 100644
--- a/ci/config_functest.yaml
+++ b/ci/config_functest.yaml
@@ -50,6 +50,7 @@ general:
healthcheck:
disk_image: /home/opnfv/functest/data/cirros-0.3.4-x86_64-disk.img
+ disk_format: qcow2
vping:
ping_timeout: 200
diff --git a/ci/config_patch.yaml b/ci/config_patch.yaml
index 467a83ca0..4994d49d1 100644
--- a/ci/config_patch.yaml
+++ b/ci/config_patch.yaml
@@ -7,3 +7,4 @@ lxd:
healthcheck:
disk_image: /home/opnfv/functest/data/cirros-0.3.4-x86_64-lxc.tar.gz
+ disk_format: raw \ No newline at end of file
diff --git a/ci/testcases.yaml b/ci/testcases.yaml
index 47d544b96..aec997143 100644
--- a/ci/testcases.yaml
+++ b/ci/testcases.yaml
@@ -47,7 +47,7 @@ tiers:
2) Connectivity between 2 instances over a private network.
dependencies:
installer: ''
- scenario: ''
+ scenario: '^((?!lxd).)*$'
-
name: tempest_smoke_serial
diff --git a/testcases/OpenStack/healthcheck/healthcheck.sh b/testcases/OpenStack/healthcheck/healthcheck.sh
index 2449ac93b..996aadcf7 100755
--- a/testcases/OpenStack/healthcheck/healthcheck.sh
+++ b/testcases/OpenStack/healthcheck/healthcheck.sh
@@ -120,6 +120,7 @@ info "...Keystone OK!"
info "Testing Glance API..."
#################################
disk_img=$(cat ${YAML_FILE} | shyaml get-value healthcheck.disk_image 2> /dev/null || true)
+disk_format=$(cat ${YAML_FILE} | shyaml get-value healthcheck.disk_format 2> /dev/null || true)
kernel_img=$(cat ${YAML_FILE} | shyaml get-value healthcheck.kernel_image 2> /dev/null || true)
ramdisk_img=$(cat ${YAML_FILE} | shyaml get-value healthcheck.ramdisk_image 2> /dev/null || true)
extra_properties=$(cat ${YAML_FILE} | shyaml get-value healthcheck.extra_properties 2> /dev/null || true)
@@ -151,10 +152,10 @@ fi
debug "image extra_properties=${extra_properties}"
-eval glance image-create --name ${image_1} --disk-format qcow2 --container-format bare \
+eval glance image-create --name ${image_1} --disk-format ${disk_format} --container-format bare \
${extra_opts} < ${disk_img}
debug "image '${image_1}' created."
-eval glance image-create --name ${image_2} --disk-format qcow2 --container-format bare \
+eval glance image-create --name ${image_2} --disk-format ${disk_format} --container-format bare \
${extra_opts} < ${disk_img}
debug "image '${image_2}' created."
info "... Glance OK!"